package repository

import (
	. "gitlab.ost.ch/marketminds/marketminds/pkg/entity"
)

type NewsChannelRepository interface {
	GetAll() ([]*NewsChannel, error)
	GetById(id int) (*NewsChannel, error)
	Create(entity *NewsChannel) error
	Update(entity *NewsChannel) error
	Delete(id int) error
}
